Red5 IDE プラグイン

Red5Plugin インストール手順

必要なソフトウェア: JEE ディストリビューションの Eclipse を使わなければなりません。標準の Java ディストリビューションでは動作しません。

ここでは、Eclipse 3.x での Red5Plugin インストール手順のスクリーンショットを示します。スクリーンショットは、Mac OSX で実行されている Eclipse 3.4 でキャプチャしたものです。Red5Plugin は Eclipse 3.x にインストールしてください。Eclipse 3.3 または Flex Builder 3 を使っている場合は、説明の手順と異なることがあります。

互換性に関する追記: Red5Plugin は Eclipse Galileo 3.5 で動作することが確認されています。

手順 1:

この画面は、Subclipse をインストールするための適切な情報が入力された [New Remote Site] ダイアログを示しています。

Name: Red5Plugin 0.2.x (Eclipse 3.2+)
URL: http://trac.red5.org/chrome/site/projects/red5plugin/update_0.2.x/

手順 2:
[Available Software] のリストに更新サイトを追加します。

Eclipse 3.3/Flex Builder [Next] をクリックする前に、リストの [Ganymede Discovery site] と [The Eclipse Project Updates] も追加しておくことを推奨します。Red5Plugin を選択すると、[select required] をクリックできるようになり、すべての依存パッケージが自動的に選択されるはずです。

この画面は、最初に表示される画面の状態を示しています。この場合、ラジオボタンの状態を変更して、新規インストールであることを指示する必要があります。インストール画面

手順 3:
[Red5Plugin Feature] を選択し、右の [Install] ボタンをクリックします。

手順 4:
[Next] をクリックし、ライセンスに同意してプラグインをインストールします。

Red5Plugin のインストール後は Eclipse を再起動する必要があります。インストール画面 手順 12: